#include <bits/stdc++.h>

#define IT uint64_t

int main() 
{
	IT N, sc = 0;
	char map[100001] = { 0 };
	
	std::cin >> N;
	std::vector<IT> jela(N), recepti(N), scenarija(N);
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		jela[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		recepti[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		scenarija[i] = x;
	}
    
	for(const int jelo : jela)
	{
		for(IT i = 0; i < N; i++)
		{
			if(recepti[i] == jelo)
				map[i + 1] = 1;
		}
		
		for(const int s : scenarija)
			if(map[s])
				sc++;
		
		std::memset(map, 0, 100001);
	}
	
	std::cout << sc;
	
	return 0;
}